body {
    font-family: Arial, sans-serif;
    background-color: #f7f9fc;
    text-align: center;
    color: #333;
}

#upload-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px;
    background-color: #ffffff;
    border: 1px solid #ccc;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 70%;
    margin: 20px auto;
}

#color-scheme-container {
    display: flex;
    align-items: center;
}

.custom-file-input {
    font-size: 1em;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
    cursor: pointer;
    transition: border-color 0.3s ease;
    margin-right: 0.2vw;
}

.custom-file-input:hover {
    border-color: #007bff;
}

.custom-upload-button {
    font-size:0.8vw;
    font-weight: bold;
    padding: 0.5vw 1vw;
    color: #ffffff;
    background-color: #28a745;
    border: 0px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.custom-upload-button:hover {
    background-color: #218838;
}

#map-zoom-controls {
    display: flex;
    align-items: center;
    gap: 10px;
}

.custom-zoom-button {
    font-size: 0.8vw;
    font-weight: bold;
    padding: 0.5vw 1vw;
    color: #ffffff;
    background-color: #007bff;
    border: 0px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.custom-zoom-button:hover {
    background-color: #0056b3;
}

#colorScheme {
    width: 40px;
    height: 40px;
    border-radius: 5px;
    padding: 0;
    margin-left: 20px;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    border: 1px solid #b0bec5;
    background-color: #ffffff;
    cursor: pointer;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

#colorScheme:hover {
    border-color: #666;
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.1);
}

label[for="colorScheme"] {
    font-weight: bold;
    margin-right: 0.1vw;
    font-size: 1vw;
}

#map-title {
    margin-bottom: 10px;
}

#map-container {
    width: 70%;
    margin: 0 auto;
    background-color: #ffffff;
    border: 2px solid #b0bec5;
    border-radius: 15px;
    padding: 20px;
    position: relative;
    overflow: hidden;
    cursor: grab;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
}

#taiwan-map {
    position: relative;
    left: -10vw;
}

#info-container {
    position: absolute;
    right: 3%;
    top: 3%;
    width: 15%;
    height: 12%;
    max-width: 400px;
    padding: 2vw;
    background-color: rgba(255, 255, 255, 0.9);
    border: 1px solid #b0bec5;
    border-radius: 10px;
    text-align: left;
    z-index: 2;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

#info-title {
    font-size: 2vw;
    line-height: 1;
    font-weight: bold;
}

#info {
    font-size: 1vw;
    line-height: 1;
}

#slider-info-container {
    position: absolute;
    right: 2%;
    bottom: 2%;
    width: 28%;
    max-width: 400px;
    padding: 1vw;
    background-color: rgba(255, 255, 255, 0.9);
    border: 1px solid #b0bec5;
    border-radius: 10px;
    text-align: left;
    z-index: 2;
    display: none;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

#slider-info-container label {
    font-size: 1vw;
    font-weight: bold;
}

#slider-info-container input[type="range"] {
    width: 100%;
    margin-top: 10px;
    cursor: pointer;
}

.slider-wrapper {
    display: flex;
    align-items: center;
    gap: 10px;
}

#slider-info-text {
    white-space: nowrap;
    margin-left: 10px;
}

#play-button,
#pause-button,
#speed-button,
#predict-button {
    padding: 0.5vw 1vw;
    margin: 5px;
    font-size: 0.7vw;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

#play-button {
    background-color: #4CAF50;
    color: white;
}

#pause-button {
    background-color: #f44336;
    color: white;
}

#speed-button {
    background-color: #ff9800;
    color: white;
}

#predict-button {
    background-color: #0056b3;
    color: white;
}

#play-button:hover {
    background-color: #45a049;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

#pause-button:hover {
    background-color: #e53935;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

#speed-button:hover {
    background-color: #fb8c00;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

#predict-button {
    background-color: #0056b3;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

#play-button:disabled,
#pause-button:disabled,
#speed-button:disabled,
#predict-button:disabled {
    background-color: #b0b0b0;
    cursor: not-allowed;
}

.city {
    transition: fill 0.3s ease;
}

.city:hover {
    cursor: pointer;
    fill: #f39c12;
}

.hover-effect {
    position: absolute;
    pointer-events: none;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
}

/* 選項的樣式 */
#colorScheme option {
    background-color: transparent;
    color: transparent;
}
